%define upstream_name	 Finance-Quote
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get stock and mutual fund quotes from various exchanges 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc ChangeLog Examples INSTALL META.yml MYMETA.yml README
%{perl_vendorlib}/Finance
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 367504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 301371
- update to 1.18

* Wed Feb 15 2012 jquelin <jquelin> 1.170.0-2.mga2
+ Revision: 209314
- fix yahoo quote urls (mga#4508)

* Sun Jan 23 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 33776
- mageia rebuild
- imported package perl-Finance-Quote

